Completions

Create a completion

post

Creates a completion for the provided prompt and parameters. Supports both streaming and non-streaming modes.

Authorizations
AuthorizationstringRequired

API key as bearer token in Authorization header

Body
modelstringOptional
modelsstring[]Optional
promptone ofRequired
stringOptional
or
string[]Optional
or
number · double[]Optional
or
best_ofinteger · nullableOptional
echoboolean · nullableOptional
frequency_penaltynumber · double · nullableOptional
logprobsinteger · nullableOptional
max_tokensinteger · nullableOptional
ninteger · nullableOptional
presence_penaltynumber · double · nullableOptional
seedinteger · nullableOptional
stopone of · nullableOptional
stringOptional
or
string[]Optional
streambooleanOptionalDefault: false
stream_optionsone of · nullableOptional
suffixstring · nullableOptional
temperaturenumber · double · nullableOptional
top_pnumber · double · nullableOptional
userstringOptional
response_formatone of · nullableOptional
or
or
or
or
Responses
chevron-right
200

Successful completion response

application/json
idstringRequired
objectstring · enumRequiredPossible values:
creatednumber · doubleRequired
modelstringRequired
providerstringOptional
system_fingerprintstringOptional
post
/completions

Last updated

Was this helpful?